Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class PluginResolveEngine

    java.lang.Object
      org.codehaus.groovy.grails.resolve.PluginResolveEngine

    final class PluginResolveEngine
    extends java.lang.Object

Utility methods for resolving plugin zips and information used in conjunction with an IvyDependencyManager instance.

Authors:
  Graeme Rocher

Since:
  1.3

Property Summary
`IvyDependencyManager` | `dependencyManager`
`groovy.lang.Closure` | `messageReporter`
`BuildSettings` | `settings`

Constructor Summary
`PluginResolveEngine(IvyDependencyManager dependencyManager, BuildSettings settings)`

Method Summary
`IvyDependencyManager` | `createFreshDependencyManager()`
`java.lang.Object` | `createResolveArguments(java.lang.String pluginName, java.lang.String pluginVersion)`
`protected java.lang.String` | `getPluginInfoFooter()`
`protected java.lang.String` | `getPluginInfoHeader()`
`protected void` | `printDependencies(java.lang.Object output, java.lang.Object dependencies)`
`protected void` | `printLineSeparator(java.io.PrintWriter output)`
`protected void` | `printSectionTitle(java.io.PrintWriter output, java.lang.String title)`
`groovy.util.slurpersupport.GPathResult` | `renderPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion, java.io.OutputStream outputStream)` Renders plugin info to the target writer
`groovy.util.slurpersupport.GPathResult` | `renderPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion, java.io.Writer writer)` Renders plugin info to the target writer
`groovy.util.slurpersupport.GPathResult` | `resolvePluginMetadata(java.lang.String pluginName, java.lang.String pluginVersion)` This method will resolve the plugin.xml file for a given plugin without downloading the plugin zip itself
`java.io.File` | `resolvePluginZip(java.lang.String pluginName, java.lang.String pluginVersion, java.lang.String scope = "", java.util.Map args = [:])` Resolve a Plugin zip for for the given name and plugin version
`org.apache.ivy.core.report.ResolveReport` | `resolvePlugins(java.util.Collection pluginsToInstall, java.lang.String scope = '')` Resolves a list of plugins and produces a ResolveReport

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependencyManager

    IvyDependencyManager dependencyManager

### messageReporter

    groovy.lang.Closure messageReporter

### settings

    BuildSettings settings

Constructor Detail

### PluginResolveEngine

    PluginResolveEngine(IvyDependencyManager dependencyManager, BuildSettings settings)

Method Detail

### createFreshDependencyManager

    IvyDependencyManager createFreshDependencyManager()

### createResolveArguments

    java.lang.Object createResolveArguments(java.lang.String pluginName, java.lang.String pluginVersion)

### getPluginInfoFooter

    protected java.lang.String getPluginInfoFooter()

### getPluginInfoHeader

    protected java.lang.String getPluginInfoHeader()

### printDependencies

    protected void printDependencies(java.lang.Object output, java.lang.Object dependencies)

### printLineSeparator

    protected void printLineSeparator(java.io.PrintWriter output)

### printSectionTitle

    protected void printSectionTitle(java.io.PrintWriter output, java.lang.String title)

### renderPluginInfo

    groovy.util.slurpersupport.GPathResult renderPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion, java.io.OutputStream outputStream)

  Renders plugin info to the target writer
  Parameters:
    `pluginName` - The plugin name
    `pluginVersion` - The plugin version
    `output` - The target writer

### renderPluginInfo

    groovy.util.slurpersupport.GPathResult renderPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion, java.io.Writer writer)

  Renders plugin info to the target writer
  Parameters:
    `pluginName` - The plugin name
    `pluginVersion` - The plugin version
    `output` - The target writer

### resolvePluginMetadata

    groovy.util.slurpersupport.GPathResult resolvePluginMetadata(java.lang.String pluginName, java.lang.String pluginVersion)

  This method will resolve the plugin.xml file for a given plugin without downloading the plugin zip itself

### resolvePluginZip

    java.io.File resolvePluginZip(java.lang.String pluginName, java.lang.String pluginVersion, java.lang.String scope = "", java.util.Map args = [:])

  Resolve a Plugin zip for for the given name and plugin version
  Parameters:
    `pluginName` - The plugin name
    `pluginVersion` - The plugin version
  Returns:
    The location of the local file or null if an error occured

### resolvePlugins

    org.apache.ivy.core.report.ResolveReport resolvePlugins(java.util.Collection pluginsToInstall, java.lang.String scope = '')

  Resolves a list of plugins and produces a ResolveReport
  Parameters:
    `pluginsToInstall` - The list of plugins
    `scope` - The scope (defaults to runtime)

Groovy Documentation